cgGetNamedProgramAnnotation(3)

NAME
cgGetNamedProgramAnnotation - get a program annotation by name

SYNOPSIS
  #include <Cg/cg.h>
  CGannotation cgGetNamedProgramAnnotation( CGprogram program,
                                            const char * name );

PARAMETERS

program
    The program from which to retrieve the annotation.

name
    The name of the annotation to retrieve.

RETURN VALUES
Returns the named annotation.

Returns NULL if the program has no annotation corresponding to name.

DESCRIPTION
The annotations associated with a program can be retrieved directly by name using cgGetNamedProgramAnnotation. The names of a program's annotations can be discovered by iterating through the annotations (see the cgGetFirstProgramAnnotation manpage and the cgGetNextAnnotation manpage), calling the cgGetAnnotationName manpage for each one in turn.

EXAMPLES
  /* fetch annotation "Apple" from CGprogram program */
  CGannotation ann = cgGetNamedProgramAnnotation( program, "Apple" );

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgGetNamedProgramAnnotation was introduced in Cg 1.4.

SEE ALSO
the cgGetFirstProgramAnnotation manpage, the cgGetNextProgramAnnotation manpage, the cgGetAnnotationName manpage